@import "variables";

@mixin top {
  position: relative;

  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;

  background-image: url(../img/fork-bg.png);
  background-size: cover;
  background-position: center center;
}

@mixin header__button {
  color: white;
  font-weight: 700;

  background-color: $base-text-color;
  border-radius: 25px;
  border: 0;
}

@mixin header {
  width: 100%;
  display: flex;
  justify-content: center;
  background-color: #27262A;
}

@mixin header__wrapper {
  position: relative;

  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 85%;
}

@mixin header__link {
  display: flex;
  justify-content: center;
  align-items: center;

  text-decoration: none;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 24px;
  color: $base-text-color;

  .header__text {
    padding-left: 20px;
  }
}

@mixin captions {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@mixin download {
  position: absolute;

  font-weight: 700;
  font-size: 18px;
  color: white;

  background: $base-text-color;

  border-radius: 40px;
  border: 0;
}

@mixin tooltip {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@mixin tooltip__period {
  margin-top: 35px;

  font-size: 14px;
  color: $tooltip-text-color;
}

@mixin tooltip__heading($fontsize) {
  margin-top: 10%;

  width: 75%;

  font-size: $fontsize;
  text-align: center;
  text-transform: uppercase;
  font-weight: 700;
  color: #635C73;
}

@mixin description__wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@mixin description__heading($fontsize) {
  width: 70%;

  text-align: center;
  font-weight: 700;
  font-size: $fontsize;
  color: $base-text-color;
}

@mixin description__item {
  margin-top: 40px;

  width: 70%;

  display: flex;
  flex-direction: column;
  align-items: center;
}

@mixin description__paragraph {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@mixin description__header($textalign) {
  margin-top: 20px;

  text-align: $textalign;
  font-size: 16px;
}

@mixin description__text($textalign) {
  margin-top: 15px;

  text-align: $textalign;
  font-size: 14px;
  color: $tooltip-text-color;
}

@mixin description__image {
  position: relative;
  top: 30px;

  width: 100%;
  height: 320px;
}

@mixin description__thumb {
  position: absolute;
  right: 0;

  width: 90%;
  height: 90%;

  object-fit: fill;
}

@mixin testimonials {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  background-image: url(../img/t-bg1.png);
  background-size: cover;
  background-position: center center;
  background-color: #4B3B4E;
}

@mixin testimonials__header($font-size) {
  text-align: center;
  font-weight: 700;
  font-size: $font-size;
  color: white;
}
@mixin testimonials__footer {
  width: 90%;

  text-align: center;
  font-size: 14px;
  color: #A291A5;
}

@mixin partners($columns, $gap) {
  width: 90%;

  display: grid;
  justify-content: center;
  align-items: center;
  grid-gap: $gap;
  grid-template-columns: repeat($columns, 1fr);
}

@mixin partners__block {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

@mixin partners__text {
  text-align: center;
  font-style: italic;
  font-weight: 700;
  color: white;
}

@mixin price {
  padding-bottom: 25px;

  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  background-image: url(../img/bbgi.png);
}

@mixin price__dash {
  width: 80%;
  height: 2px;
  background-color: #645766;
}

@mixin price__header($fontsize) {
  text-align: center;
  font-weight: 700;
  font-size: $fontsize;
  color: white;
}

@mixin cards-block($columns, $gap) {
  width: 90%;

  display: grid;
  justify-content: center;
  align-items: center;
  grid-gap: $gap;
  grid-template-columns: repeat($columns, 1fr);
}

@mixin card {
  height: 460px;
  display: flex;
  flex-direction: column;
  align-items: center;

  border-radius: 10px;
  background-color: #5F5161;

  &:nth-child(3) {
    background-color: #47324A;

    transform: scale(1.05);
  }
}

@mixin card__name {
  margin: 0;
  padding: 5% 5%;

  font-size: 24px;
  text-transform: uppercase;
  color: white;

  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  background-color: #685B6A;
}

@mixin card__price {
  font-weight: 700;
  font-size: 60px;
  text-transform: uppercase;
  color: white;
}

@mixin card__period {
  font-size: 14px;
  text-transform: uppercase;
  color: white;
}

@mixin card__dash {
  width: 60px;
  height: 1px;

  border-radius: 1px;
  background-color: #8D81AC;
}

@mixin card__feature {
  color: white;
}

@mixin card__btn {
  width: 163px;
  height: 45px;
  display: flex;
  justify-content: center;
  align-items: center;

  text-transform: uppercase;
  color: white;
  font-size: 15px;

  border: 0;
  border-radius: 25px;
  background: #776B79;
}